More call_hooks for projects, issue statusses, time entries, etc.
Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Hook requests Estimated time: 0.00 hour

Target version:    

Description

Currently there are only functional call_hooks for issues, and with that, i mean the 'controller_issues_edit_after_save' etc.

Because i'm working on a seperate app, connected with redmine on the backend, i need more hooks to hook my 'update API' to.

For now i've created the call_hooks for creation of a project, and for the deletion of a issue.

Would it be something if these changes would go back into core? I can imagine more uses for these type of hooks.

Svn patch file is included

History

#1 - 2018-08-13 14:45 - Go MAEDA

- Tracker changed from Defect to Patch

#2 - 2018-08-13 14:49 - Holger Just

Do you strictly need these controller hooks to distinguish updates done by the controller from other updates?

Most of the time, people are interested in e.g. any update of wiki pages or projects. Here, it is already possible to use Active Record callbacks on the

models which don't require callbacks in the controller in all places that could touch these models.  See 

https://guides.rubyonrails.org/active_record_callbacks.html for details. You could e.g. register a new hook for after_save (or after_update) or the

Project model or an after_destroy hook of the Issue model.

Since these hooks are on a model level, you won't have access to the controller params though.

#3 - 2018-08-23 13:22 - Holger Just

- Status changed from New to Needs feedback

Files

call_hooks_patch_project_issue_destroy.patch 1.15 KB 2018-08-13 Jonas Ineveld, van

Powered by TCPDF (www.tcpdf.org)

2025-05-09 1/1

https://guides.rubyonrails.org/active_record_callbacks.html
http://www.tcpdf.org

